
QGIS Application - Bug report #18034

Crash after interrupting background processing algorithm

2018-02-02 03:45 PM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25930

Description

Steps to reproduce:

- open processing random points algorithm and set 10000000 points and destination to a new gpkg file

- click run in background

- wait until 1-2%

- click on QGIS the task manager and click on the small red X beside the progress bar

History

#1 - 2018-02-02 04:24 PM - Richard Duivenvoorde

Hi Ale,

I cannot reproduce here in QGIS code revision commit:5c5ef3b6de

both if I do a memory layer or a geopackage, I can just stop the algorithm (Random points in extent) fine...

I know that there is a Pull Request from Nyall which could maybe related: pr/6230

As it has something todo with giving ownership over in between different threads..

You could try to test this PR?

#2 - 2018-02-03 01:43 AM - Nyall Dawson

Yes - PR 6230 would fix this issue.

#3 - 2018-02-05 02:19 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master

Files

qgis-bt-when-abort-processing.txt 79.1 KB 2018-02-02 Alessandro Pasotti
https://github.com/qgis/QGIS/pull/6230

